List blueprints
curl --request GET \
--url https://api.useblueprints.ai/api/blueprints \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.useblueprints.ai/api/blueprints', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.useblueprints.ai/api/blueprints"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)[
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"status": "draft",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"deploymentId": "<string>",
"visual": "<unknown>",
"nodeStates": "<unknown>",
"error": "<string>"
}
]{
"error": {
"message": "<string>"
},
"message": "<string>"
}{
"error": {
"message": "<string>"
},
"message": "<string>"
}Blueprints
List blueprints
Returns the authenticated account’s blueprints, including status and timestamps. API keys need the blueprints:read scope.
GET
/
api
/
blueprints
List blueprints
curl --request GET \
--url https://api.useblueprints.ai/api/blueprints \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.useblueprints.ai/api/blueprints', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.useblueprints.ai/api/blueprints"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)[
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"status": "draft",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"deploymentId": "<string>",
"visual": "<unknown>",
"nodeStates": "<unknown>",
"error": "<string>"
}
]{
"error": {
"message": "<string>"
},
"message": "<string>"
}{
"error": {
"message": "<string>"
},
"message": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.